| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# row

$Revision: 1.3 $

$Date: 2002/06/12 11:18:33 $

row — A row in a table

## Synopsis

### Content Model

    row ::=
    ((entry|entrytbl)+)

### Attributes

Common attributes

Name | Type | Default
valign |
Enumeration:
bottom
middle
top
| None
rowsep | CDATA | None

## Description

A `Row` is a row in a table. It contains all of the cells (`Entry`s or `EntryTbl`s) that appear in that row.

### Processing expectations

This element is expected to obey the semantics of the CALS Table Model Document Type Definition, as specified by OASIS Technical Memorandum TM 9502:1995 .

Within a `Row`, cells are arranged horizontally from the start of the row to the end. Cells can, but are not required to, specify the column in which they occur, so it is possible for a row to contain fewer cells than there are columns in the table. This introduces missing cells, which are assumed to be empty. These missing cells can occur anywhere in the row.

Once a cell has been allocated to a column, subsequent cells may not fill preceding columns. In other words, while three cells can specify that they occur in columns 1, 3, and 5, they cannot specify that they occur in columns 1, 5, and 3. Once a column is passed, you can never go back.

If cells do not specify the column in which they occur, they are placed in the next available column. Calculation of the next available column is complicated by horizontal and vertical spanning. Cells from preceding rows can have a vertical span that causes them to extend into the current row, thus occupying space in the current row. These logically occupied cells are skipped when looking for the next available column. Similarly, if a cell has a horizontal span, it logically occupies the columns that follow it. Cells can simultaneously span rows and columns.

Each of the following conditions is an error:

- A cell spans beyond the boundries of the table.

- A row contains more cells than there are columns in the table.

- The arrangement of cells in a row forces one or more cells past the last column of the table.

### Parents

These elements contain row: `tbody`, `tfoot`, `thead`.

### Children

The following elements occur in row: `entry`, `entrytbl`.

## Attributes

rowsep

  If `RowSep` has the value 1 (true), then a rule will be drawn below all the cells in this `Row` (unless other, interior elements, suppress some or all of the rules). A value of 0 (false) suppresses the rule. The rule below the last row in the table is controlled by the `Frame` attribute of the enclosing `Table` or `InformalTable` and the `RowSep` of the last row is ignored. If unspecified, this attribute is inherited from enclosing elements.

valign

  `VAlign` specifies the vertical alignment of text (and other elements) within the cells of this `Row`. If no alignment is specified, it is inherited from enclosing elements.

## See Also

`colspec`, `entry`, `entrytbl`, `informaltable`, `spanspec`, `table`, `tbody`, `tfoot`, `tgroup`, `thead`.

## Examples

For examples, see `entrytbl`, `footnoteref`, `informaltable`, `table`.

rhs |  | sbr

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.